#include <stdio.h>
#include <omp.h>

#ifndef N
#define N 1024
#endif

float a[N][N], b[N][N], c[N][N];

int main(void)
{
	unsigned int i = 0, j = 0, k = 0;
	double start = 0.0;

	start = omp_get_wtime();
	#pragma omp parallel for shared(a,b,c,start) private(i,j,k)
	for (i=0; i<N; ++i)
	for (k=0; k<N; ++k)
	for (j=0; j<N; ++j)
		c[i][j] = a[i][k]*b[k][j];
	printf("%f", ((long)3*N*N*N*sizeof(float))/((1<<30)*(omp_get_wtime()-start)));

	return 0;
}
