#include <stdio.h>
#include <omp.h>

#ifndef N
#define N 1024
#endif

float a[N][N], b[N], c[N];

int main(void)
{
	unsigned int i = 0, j = 0;
	double start = 0.0;

	start = omp_get_wtime();
	#pragma omp parallel for default(none) shared(start,a,b,c) private(i,j)
	for (i=0; i<N; ++i)
	for (j=0; j<N; ++j)
		c[i] += a[i][j]*b[j];
	printf("%f", ((long)N*N*3*sizeof(float))/((1<<30)*(omp_get_wtime()-start)));

	return 0;
}
